const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");

class PlatformchannelService extends ServiceBase {
    constructor() {
        super("channel", ServiceBase.getDaoName(PlatformchannelService));
        this.channelDao = system.getObject("db.channel.channelDao");
    }

    async bindPlatform(params){
        var data = await this.channelDao.findById(params.channel_id);
        if(data.length == 0){
           return  system.getErrResult("渠道ID不存在");
        }
        var platformchannel = {
            platform_id : this.trim(params.platform_id),
            channel_id : this.trim(params.channel_id),
            platform_channel_id : this.trim(params.platform_channel_id)
        };
        var platformchannelData = await this.dao.findOne(platformchannel);
        if(platformchannelData != null){
            return system.getResultSuccess(platformchannelData.id);
        }
        let suData = await this.dao.create(platformchannel);
        if(this.trim(suData.id)){
            return system.getResultSuccess(suData.id)
        }
        return system.getErrResult("绑定失败")
    }

    //绑定渠道推送
    async pushbindingchannel(params){
    console.log(params)
    }


    trim(o) {
        if(!o) {
            return "";
        }
        return o.toString().trim();
    }
}

module.exports = PlatformchannelService;
